# Installation
> `npm install --save @types/vex-js`

# Summary
This package contains type definitions for vex-js (https://github.com/HubSpot/vex).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/vex-js.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/vex-js/index.d.ts)
````ts
/// <reference types="jquery" />

export = vex;
export as namespace vex;

declare namespace vex {
    interface ICSSAttributes {
        [property: string]: string | number;
    }

    interface IVexOptions {
        afterClose?: (() => void) | undefined;
        afterOpen?: ((vexContent: JQuery) => void) | undefined;
        content?: string | undefined;
        showCloseButton?: boolean | undefined;
        escapeButtonCloses?: boolean | undefined;
        overlayClosesOnClick?: boolean | undefined;
        appendLocation?: HTMLElement | JQuery | string | undefined;
        className?: string | undefined;
        css?: ICSSAttributes | undefined;
        overlayClassName?: string | undefined;
        overlayCSS?: ICSSAttributes | undefined;
        contentClassName?: string | undefined;
        contentCSS?: ICSSAttributes | undefined;
        closeClassName?: string | undefined;
        closeCSS?: ICSSAttributes | undefined;
    }

    interface Vex {
        open(options: IVexOptions): JQuery;
        close(id?: number): boolean;
        closeAll(): boolean;
        closeByID(id: number): boolean;
        defaultOptions?: IVexOptions | undefined;
    }
}

declare var vex: vex.Vex;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 15:11:36 GMT
 * Dependencies: [@types/jquery](https://npmjs.com/package/@types/jquery)

# Credits
These definitions were written by [Greg Cohan](https://github.com/gdcohan).
